#include <iostream>
#include <cmath>
using namespace std;
int main()
{
    double p,q,R,l,r,s=0;
    long long  a,b,c;
    cin >> p >> q >> r >> l >> R;
    for(l;l<=R;l++)
    {
        a=ceil(l/p);
        b=ceil(l/q);
        c=ceil(l/r);
        if(a+b+c<=l)
        {
            s+=1;
        }
    }
    cout << s;
    return 0;
}